module FundRaise

require_relative '../../lib/fund_raise/project'

class ProjectMatch < Project

  def initialize (name, target=1000, funding=0)
    super(name, target, funding)
    @halfway_funded = target / 2
  end

  def add_funds(add_funding=25, pledge=false)
    if match_funds?
      super(add_funding * 2)
    else
      if (@current_funding = add_funding) >= (@target_funding / 2)
        difference = (@current_funding + add_funding) - @halfway_funded
        super(difference * 2)
      end
    end
  end

  def match_funds?
    @current_funding >= @target_funding/2
  end

end

if __FILE__ == $0
  new_match = ProjectMatch.new("Park Fund Matchings", 6000, 2000)
  puts new_match.add_funds(4000)
end
end
